function init() {
    ajaxCallFunction('is_admin', showAdminPanel);
}

/**
 * display admin panel
 * -------------------
 * check current page and load administration interface
 * for the current page if available
 */
function showAdminPanel(result) {
    if (result == 'true') {
        document.getElementsByTagName('body')[0].innerHTML += '<div id="admin-panel"></div>'
        if (location.pathname.substr(0, 12) == '/mitglieder/') {
            var username = location.pathname.substr(12, location.pathname.length - 13);
            if (username == '') {
                displayMemberIndexAdministration();
            }
            else {
                displayMemberDetailAdministration(username);
            }
        }
    }
}

/**
 * display member index administration
 * -----------------------------------
 * administration interface for the member index page
 */
function displayMemberIndexAdministration() {
    var output = document.getElementById('admin-panel');
    var links = new Array();
    links['createMember'] = 'Mitglied hinzufügen';
    links['deleteMember'] = 'Mitglied löschen';
    links['viewAllMembers'] = 'Alle anzeigen';
    for (var link in links) {
        output.innerHTML += '<a href="javascript:' + link + '()">' + links[link] + '</a>';    
    }
}

/**
 * display member detail administration
 * ------------------------------------
 * administration interface for the member detail page
 */
function displayMemberDetailAdministration(username) {
    var output = document.getElementById('admin-panel');
    output.innerHTML = "bluB";
}
