# -*- coding: utf-8 -*-

import model
from md5 import md5
from sqlobject import SQLObjectNotFound
from datetime import datetime

def do_login(environ, username, password):
    try:
        user = model.Mitglied.byUid(username)
        if user.password == md5(password).hexdigest():
            session = environ['wsgi.middleware.session.storage']
            session['login'] = True
            session['user'] = username
            return 'true'
        return 'false'
    except SQLObjectNotFound:
        return 'false'

def do_logout(environ):
    session = environ['wsgi.middleware.session.storage']
    del session['login']
    del session['user']
    return 'true'

def is_login(environ):
    session = environ['wsgi.middleware.session.storage']
    if session.get('login'):
        return ['true', session['user']]
    return ['false', 'unknown']

def is_admin(environ):
    session = environ['wsgi.middleware.session.storage']
    if is_login(environ)[0] == 'true':
        user = model.Mitglied.byUid(session['user'])
        if user.is_admin:
            return 'true'
    return 'false'

exports = {
    'do_login':         do_login,
    'is_login':         is_login,
    'is_admin':         is_admin,
    'do_logout':        do_logout,
}
